%define oname		gstreamermm

%define api		1.0
%define major		0
%define libname		%mklibname %oname %api %major
%define develname	%mklibname %oname %api -d

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		gstreamermm%{api}
Version:	1.4.3
Release:	%mkrel 3
Summary:	C++ wrapper for GStreamer library
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.gtkmm.org/
Source0:	https://download.gnome.org/sources/gstreamermm/%{url_ver}/%{oname}-%{version}.tar.xz
BuildRequires: pkgconfig(giomm-2.4) >= 2.36.0
BuildRequires: pkgconfig(gstreamer-1.0) >= 1.4.3
BuildRequires: pkgconfig(gstreamer-app-1.0) >= 1.4.3
BuildRequires: pkgconfig(gstreamer-audio-1.0) >= 1.4.3
BuildRequires: pkgconfig(gstreamer-base-1.0) >= 1.4.3
BuildRequires: pkgconfig(gstreamer-check-1.0) >= 1.4.3
BuildRequires: pkgconfig(gstreamer-controller-1.0) >= 1.4.3
BuildRequires: pkgconfig(gstreamer-fft-1.0) >= 1.4.3
BuildRequires: pkgconfig(gstreamer-net-1.0) >= 1.4.3
BuildRequires: pkgconfig(gstreamer-pbutils-1.0) >= 1.4.3
BuildRequires: pkgconfig(gstreamer-plugins-base-1.0) >= 1.4.3
BuildRequires: pkgconfig(gstreamer-riff-1.0) >= 1.4.3
BuildRequires: pkgconfig(gstreamer-rtp-1.0) >= 1.4.3
BuildRequires: pkgconfig(gstreamer-sdp-1.0) >= 1.4.3
BuildRequires: pkgconfig(gstreamer-tag-1.0) >= 1.4.3
BuildRequires: pkgconfig(gstreamer-video-1.0) >= 1.4.3
BuildRequires: pkgconfig(gtkmm-3.0) >= 3.0
BuildRequires:	doxygen
BuildRequires:	m4

%description
GStreamermm is a C++ wrapper library for the multimedia library
GStreamer (http://gstreamer.freedesktop.org). It is designed to allow
C++ development of applications that work with multi-media.

%package -n %libname
Summary:	C++ wrapper for GStreamer library
Group:		System/Libraries

%description -n %libname
GStreamermm is a C++ wrapper library for the multimedia library
GStreamer (http://gstreamer.freedesktop.org). It is designed to allow
C++ development of applications that work with multi-media.

%package -n %develname
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %develname
This package contains the static libraries and header files needed for
developing gstreamermm applications.

%package doc
Summary:	Developer's documentation for the gstreamermm library
Group:		Documentation
BuildArch:	noarch

%description doc
This package contains developer's documentation for the GStreamermm
library. Gstreamermm is the C++ API for the GStreamer library.

The documentation can be viewed either through the devhelp
documentation browser or through a web browser.

%prep
%setup -qn %{oname}-%{version}

%build
export CXXFLAGS="%{optflags} -std=c++11"
%configure2_5x --enable-shared \
	--disable-dependency-tracking
%make

%install
%makeinstall_std
find %{buildroot} -type f -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/lib%{oname}-%{api}.so.%{major}
%{_libdir}/lib%{oname}-%{api}.so.%{major}.*
%{_libdir}/lib%{oname}_get_plugin_defs-%{api}.so.%{major}
%{_libdir}/lib%{oname}_get_plugin_defs-%{api}.so.%{major}.*

%files -n %{develname}
%{_includedir}/gstreamermm-%{api}
%{_libdir}/lib%{oname}-%{api}.so
%{_libdir}/lib%{oname}_get_plugin_defs-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{oname}-%{api}/

%files doc
%doc COPYING
%doc %{_datadir}/doc/%{oname}-%{api}/
%doc %{_datadir}/devhelp/books/%{oname}-%{api}/


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 1.4.3-3.mga6
+ Revision: 960574
- Mageia 6 Mass Rebuild

* Sun Aug 30 2015 cjw <cjw> 1.4.3-2.mga6
+ Revision: 871377
- rebuild with gcc 5

* Thu Aug 20 2015 fwang <fwang> 1.4.3-1.mga6
+ Revision: 866732
- update libmajor
- force cpp11
- imported package gstreamermm1.0

